Name:           ocaml-extlib
Version:        1.5.3
Release:        %mkrel 4
Summary:        Extended Standard Library for Objective Caml
License:        LGPLv2 with linking exceptions
Group:          Development/OCaml
URL:            http://code.google.com/p/ocaml-extlib/
Source0:        http://ocaml-extlib.googlecode.com/files/extlib-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
ExtLib is a project aiming at providing a complete - yet small - standard
library for the OCaml programming language. The purpose of this library is to
add new functions to OCaml Standard Library modules, to modify some functions
in order to get better performances or more safety (tail-recursive) but also to
provide new modules which should be useful for the average OCaml programmer. 

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
This package provides the documentation in HTML about the library %{name}.

%prep
%setup -q -n extlib-%{version}

%build
make 
make opt
make doc

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_libdir}/ocaml
make install OCAMLFIND_DESTDIR="%{buildroot}/%{_libdir}/ocaml"
# install doc
install -d -m 755 %{buildroot}/%{_datadir}/doc/%{name}/
install -m 644 doc/* %{buildroot}/%{_datadir}/doc/%{name}/
install -m 644 *.ml %{buildroot}/%{_libdir}/ocaml/extlib/
install -m 755 extLib.cmi %{buildroot}/%{_libdir}/ocaml/extlib/

%files
%doc README.txt LICENSE
%dir %{_libdir}/ocaml/extlib
%{_libdir}/ocaml/extlib/*.cmi
%{_libdir}/ocaml/extlib/*.cma
%{_libdir}/ocaml/extlib/META

%files devel
%{_libdir}/ocaml/extlib/*.a
%{_libdir}/ocaml/extlib/*.cmxa
%{_libdir}/ocaml/extlib/*.cmx
%{_libdir}/ocaml/extlib/*.mli
%{_libdir}/ocaml/extlib/*.ml

%files doc
%{_datadir}/doc/%{name}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.5.3-4.mga3
+ Revision: 361301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 malo <malo> 1.5.3-3.mga3
+ Revision: 337883
- add missing interface file (cmi) file

* Sat Dec 01 2012 malo <malo> 1.5.3-2.mga3
+ Revision: 324231
- rebuild for new ocaml

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.5.3-1.mga3
+ Revision: 301438
- updated to last version 1.5.3
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.5.2-2.mga3
+ Revision: 300082
- new rpm group for ocaml
- Documentation RPM group
- More precise licensing informations.

* Sun Oct 02 2011 shlomif <shlomif> 1.5.2-1.mga2
+ Revision: 151043
- New version - thanks to Malo.

* Sat Apr 30 2011 misc <misc> 1.5.1-4.mga1
+ Revision: 93947
- increase Release so we can upgrad efrom Mandriva

* Mon Mar 07 2011 saispo <saispo> 1.5.1-1.mga1
+ Revision: 66102
- imported package ocaml-extlib

